# Generated from tlsh-0.1.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name tlsh

Name: rubygem-%{gem_name}
Version: 0.1.3
Release: 1%{?dist}
Summary: A fuzzy matching library which creates hashes that can be used for similarity comparisons
License: MIT
URL: https://github.com/adamliesko/tlsh
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(coveralls)
# BuildRequires: rubygem(coveralls) < 1
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(simplecov) < 1
BuildArch: noarch

%description
tlsh is a fuzzy matching library, which hashes can be used for similarity
comparison.
Given a byte stream with a minimum length of 256 bytes, TLSH generates a hash
value
which can be used for similarity comparisons. Similar objects will have
similar hash
values which allow for the detection of similar objects by comparing their
hash values.
The computed hash is 35 bytes long (output as 70 hexadecimal characters).
The first 3 bytes are used to capture the information about the file as a
whole (length, ...),
while the last 32 bytes are used to capture information about incremental
parts of the file.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/tlsh.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.1.3-1
- Initial package
